/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
/*************************************************************************
   Licensed Materials - Property of IBM
   WSEE1.0 (C) Copyright International Business Machines Corp. 2002
   All Rights Reserved.
   US Government Users Restricted Rights - Use, duplication or
   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
**************************************************************************/
/*************************************************************************
   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
   OR PERFORMANCE OF THIS SOFTWARE.
**************************************************************************/

/*
 * $Id: XMLNameMappingTestImpl.java 62536 2011-04-15 16:35:14Z af70133 $
 */

package com.sun.ts.tests.jaxrpc.ee.w2j.rpc.encoded.xmlnamemappingtest;

import com.sun.ts.lib.util.*;
import com.sun.ts.lib.porting.*;
import com.sun.ts.tests.jaxrpc.common.*;

import java.rmi.*;

// Service Implementation Class - as outlined in JAX-RPC Specification

public class XMLNameMappingTestImpl implements XMLNameMappingTest {

	public EyeColor echoEyeColor(EyeColor inputEyeColor)
		throws RemoteException
	{
	    return inputEyeColor;
	}
	public SoapStruct echoSoapStruct(SoapStruct inputSoapStruct)
		throws RemoteException
	{
	    return inputSoapStruct;
	}
	public void _null() throws RemoteException {}
	public void _true() throws RemoteException {}
	public void _false() throws RemoteException {}
	public void _abstract() throws RemoteException {}
	public void _boolean() throws RemoteException {}
	public void _break() throws RemoteException {}
	public void _byte() throws RemoteException {}
	public void _case() throws RemoteException {}
	public void _catch() throws RemoteException {}
	public void _char() throws RemoteException {}
	public void _class() throws RemoteException {}
	public void _const() throws RemoteException {}
	public void _continue() throws RemoteException {}
	public void _default() throws RemoteException {}
	public void _do() throws RemoteException {}
	public void _double() throws RemoteException {}
	public void _else() throws RemoteException {}
	public void _extends() throws RemoteException {}
	public void _final() throws RemoteException {}
	public void _finally() throws RemoteException {}
	public void _float() throws RemoteException {}
	public void _for() throws RemoteException {}
	public void _goto() throws RemoteException {}
	public void _if() throws RemoteException {}
	public void _implements() throws RemoteException {}
	public void _import() throws RemoteException {}
	public void _instanceof() throws RemoteException {}
	public void _int() throws RemoteException {}
	public void _interface() throws RemoteException {}
	public void _long() throws RemoteException {}
	public void _native() throws RemoteException {}
	public void _new() throws RemoteException {}
	public void _package() throws RemoteException {}
	public void _private() throws RemoteException {}
	public void _protected() throws RemoteException {}
	public void _public() throws RemoteException {}
	public void _return() throws RemoteException {}
	public void _short() throws RemoteException {}
	public void _static() throws RemoteException {}
	public void _super() throws RemoteException {}
	public void _switch() throws RemoteException {}
	public void _synchronized() throws RemoteException {}
	public void _this() throws RemoteException {}
	public void _throw() throws RemoteException {}
	public void _throws() throws RemoteException {}
	public void _transient() throws RemoteException {}
	public void _try() throws RemoteException {}
	public void _void() throws RemoteException {}
	public void _volatile() throws RemoteException {}
	public void _while() throws RemoteException {}
}
